// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ucp_csu.h
// Author        : xinxin.li
// Created On    : 2022-11-23
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#ifndef _UCP_CSU_H_
#define _UCP_CSU_H_

#define AP_CSU_BASE						0x04258000

#define AP_CSU_ALLPENDEVENTMASK				(0x0*4)
#define AP_CSU_EVENTMASK							(0x2*4)
#define AP_CSU_INTMASK								(0x4*4)
#define AP_CSU_ELEVELMASK							(0x5*4)
#define AP_CSU_TAGMASK0								(0x6*4)
#define AP_CSU_TAGMASK1								(0x7*4)
#define AP_CSU_TAGMASK2								(0x8*4)
#define AP_CSU_TAGMASK3								(0x9*4)
#define AP_CSU_ARMCMDRECV							(0xA*4)
#define AP_CSU_FETCHMODE_CACHEMODE		(0xB*4)
#define AP_CSU_ALLPENDEVENT0					(0xC*4)
#define AP_CSU_ALLPENDEVENT1					(0xD*4)
#define AP_CSU_EM_BS_SMSEL_PREDATANUM	(0x10*4)
#define AP_CSU_FINDDMATAG							(0x14*4)
#define AP_CSU_CMDFIFO0_CMD						(0x18*4)
#define AP_CSU_CMDFIFO1_CMD						(0x19*4)
#define AP_CSU_CMDFIFO2_CMD						(0x1A*4)
#define AP_CSU_CMDFIFO3_CMD						(0x1B*4)
#define AP_CSU_CMDFIFO0_NUM						(0x1C*4)
#define AP_CSU_CMDFIFO1_NUM						(0x1D*4)
#define AP_CSU_CMDFIFO2_NUM						(0x1E*4)
#define AP_CSU_CMDFIFO3_NUM						(0x1F*4)
#define AP_CSU_PRICMDVALID0						(0x20*4)
#define AP_CSU_PRICMDVALID1						(0x21*4)
#define AP_CSU_CMDECODATAL32BIT0			(0x24*4)	
#define AP_CSU_CMDECODATAL32BIT1			(0x25*4)
#define AP_CSU_CMDHIGHDATA						(0x28*4)
#define AP_CSU_CMDFIFO0								(0x2C*4)
#define AP_CSU_CMDFIFO1								(0x2D*4)
#define AP_CSU_CMDFIFO2								(0x2E*4)
#define AP_CSU_CMDFIFO3								(0x2F*4)
#define AP_CSU_CMDFIFO0_TAGNUM				(0x34*4)
#define AP_CSU_CMDFIFO1_TAGNUM				(0x35*4)
#define AP_CSU_CMDFIFO2_TAGNUM				(0x36*4)
#define AP_CSU_CMDFIFO3_TAGNUM				(0x37*4)
#define AP_CSU_DMASTATUS							(0x38*4)
                                     
#define AP_CSU_DMAADDRL0							(0x200*4)
#define AP_CSU_DMAADDRH0							(0x201*4)
#define AP_CSU_DMAYSTEPL0							(0x202*4)
#define AP_CSU_DMAYSTEPH0							(0x203*4)
#define AP_CSU_DMAZSTEPL0							(0x204*4)
#define AP_CSU_DMAZSTEPH0							(0x205*4)
#define AP_CSU_DMAYNUMXNUM0						(0x206*4)
#define AP_CSU_DMASIZEGRANALLNUM0			(0x207*4)
                                      
#define AP_CSU_DMAADDRL1							(0x208*4)
#define AP_CSU_DMAADDRH1							(0x209*4)
#define AP_CSU_DMAYSTEPL1							(0x20A*4)
#define AP_CSU_DMAYSTEPH1							(0x20B*4)
#define AP_CSU_DMAZSTEPL1							(0x20C*4)
#define AP_CSU_DMAZSTEPH1							(0x20D*4)
#define AP_CSU_DMAYNUMXNUM1						(0x20E*4)
#define AP_CSU_DMASIZEGRANALLNUM1			(0x20F*4)
                                      
#define AP_CSU_DMAADDRL2							(0x210*4)
#define AP_CSU_DMAADDRH2							(0x211*4)
#define AP_CSU_DMAYSTEPL2							(0x212*4)
#define AP_CSU_DMAYSTEPH2							(0x213*4)
#define AP_CSU_DMAZSTEPL2							(0x214*4)
#define AP_CSU_DMAZSTEPH2							(0x215*4)
#define AP_CSU_DMAYNUMXNUM2						(0x216*4)
#define AP_CSU_DMASIZEGRANALLNUM2			(0x217*4)
                                      
#define AP_CSU_DMAADDRL3							(0x218*4)
#define AP_CSU_DMAADDRH3							(0x219*4)
#define AP_CSU_DMAYSTEPL3							(0x21A*4)
#define AP_CSU_DMAYSTEPH3							(0x21B*4)
#define AP_CSU_DMAZSTEPL3							(0x21C*4)
#define AP_CSU_DMAZSTEPH3							(0x21D*4)
#define AP_CSU_DMAYNUMXNUM3						(0x21E*4)
#define AP_CSU_DMASIZEGRANALLNUM3			(0x21F*4)
                                      
#define AP_CSU_DMAADDRL4							(0x220*4)
#define AP_CSU_DMAADDRH4							(0x221*4)
#define AP_CSU_DMAYSTEPL4							(0x222*4)
#define AP_CSU_DMAYSTEPH4							(0x223*4)
#define AP_CSU_DMAZSTEPL4							(0x224*4)
#define AP_CSU_DMAZSTEPH4							(0x225*4)
#define AP_CSU_DMAYNUMXNUM4						(0x226*4)
#define AP_CSU_DMASIZEGRANALLNUM4			(0x227*4)
                                      
#define AP_CSU_DMAADDRL5							(0x228*4)
#define AP_CSU_DMAADDRH5							(0x229*4)
#define AP_CSU_DMAYSTEPL5							(0x22A*4)
#define AP_CSU_DMAYSTEPH5							(0x22B*4)
#define AP_CSU_DMAZSTEPL5							(0x22C*4)
#define AP_CSU_DMAZSTEPH5							(0x22D*4)
#define AP_CSU_DMAYNUMXNUM5						(0x22E*4)
#define AP_CSU_DMASIZEGRANALLNUM5			(0x22F*4)
                                      
#define AP_CSU_DMAADDRL6							(0x230*4)
#define AP_CSU_DMAADDRH6							(0x231*4)
#define AP_CSU_DMAYSTEPL6							(0x232*4)
#define AP_CSU_DMAYSTEPH6							(0x233*4)
#define AP_CSU_DMAZSTEPL6							(0x234*4)
#define AP_CSU_DMAZSTEPH6							(0x235*4)
#define AP_CSU_DMAYNUMXNUM6						(0x236*4)
#define AP_CSU_DMASIZEGRANALLNUM6			(0x237*4)
                                      
#define AP_CSU_DMAADDRL7							(0x238*4)
#define AP_CSU_DMAADDRH7							(0x239*4)
#define AP_CSU_DMAYSTEPL7							(0x23A*4)
#define AP_CSU_DMAYSTEPH7							(0x23B*4)
#define AP_CSU_DMAZSTEPL7							(0x23C*4)
#define AP_CSU_DMAZSTEPH7							(0x23D*4)
#define AP_CSU_DMAYNUMXNUM7						(0x23E*4)
#define AP_CSU_DMASIZEGRANALLNUM7			(0x23F*4)
                                      
#define AP_CSU_DMAADDRL8							(0x240*4)
#define AP_CSU_DMAADDRH8							(0x241*4)
#define AP_CSU_DMAYSTEPL8							(0x242*4)
#define AP_CSU_DMAYSTEPH8							(0x243*4)
#define AP_CSU_DMAZSTEPL8							(0x244*4)
#define AP_CSU_DMAZSTEPH8							(0x245*4)
#define AP_CSU_DMAYNUMXNUM8						(0x246*4)
#define AP_CSU_DMASIZEGRANALLNUM8			(0x247*4)
                                      
#define AP_CSU_DMAADDRL9							(0x248*4)
#define AP_CSU_DMAADDRH9							(0x249*4)
#define AP_CSU_DMAYSTEPL9							(0x24A*4)
#define AP_CSU_DMAYSTEPH9							(0x24B*4)
#define AP_CSU_DMAZSTEPL9							(0x24C*4)
#define AP_CSU_DMAZSTEPH9							(0x24D*4)
#define AP_CSU_DMAYNUMXNUM9						(0x24E*4)
#define AP_CSU_DMASIZEGRANALLNUM9			(0x24F*4)
                                      
#define AP_CSU_DMAADDRL10							(0x250*4)
#define AP_CSU_DMAADDRH10							(0x251*4)
#define AP_CSU_DMAYSTEPL10						(0x252*4)
#define AP_CSU_DMAYSTEPH10						(0x253*4)
#define AP_CSU_DMAZSTEPL10						(0x254*4)
#define AP_CSU_DMAZSTEPH10						(0x255*4)
#define AP_CSU_DMAYNUMXNUM10					(0x256*4)
#define AP_CSU_DMASIZEGRANALLNUM10		(0x257*4)
                                      
#define AP_CSU_DMAADDRL11							(0x258*4)
#define AP_CSU_DMAADDRH11							(0x259*4)
#define AP_CSU_DMAYSTEPL11						(0x25A*4)
#define AP_CSU_DMAYSTEPH11						(0x25B*4)
#define AP_CSU_DMAZSTEPL11						(0x25C*4)
#define AP_CSU_DMAZSTEPH11						(0x25D*4)
#define AP_CSU_DMAYNUMXNUM11					(0x25E*4)
#define AP_CSU_DMASIZEGRANALLNUM11		(0x25F*4)
                                      
#define AP_CSU_DMAADDRL12							(0x260*4)
#define AP_CSU_DMAADDRH12							(0x261*4)
#define AP_CSU_DMAYSTEPL12						(0x262*4)
#define AP_CSU_DMAYSTEPH12						(0x263*4)
#define AP_CSU_DMAZSTEPL12						(0x264*4)
#define AP_CSU_DMAZSTEPH12						(0x265*4)
#define AP_CSU_DMAYNUMXNUM12					(0x266*4)
#define AP_CSU_DMASIZEGRANALLNUM12		(0x267*4)
                                      
#define AP_CSU_DMAADDRL13							(0x268*4)
#define AP_CSU_DMAADDRH13							(0x269*4)
#define AP_CSU_DMAYSTEPL13						(0x26A*4)
#define AP_CSU_DMAYSTEPH13						(0x26B*4)
#define AP_CSU_DMAZSTEPL13						(0x26C*4)
#define AP_CSU_DMAZSTEPH13						(0x26D*4)
#define AP_CSU_DMAYNUMXNUM13					(0x26E*4)
#define AP_CSU_DMASIZEGRANALLNUM13		(0x26F*4)
                                      
#define AP_CSU_DMAADDRL14							(0x270*4)
#define AP_CSU_DMAADDRH14							(0x271*4)
#define AP_CSU_DMAYSTEPL14						(0x272*4)
#define AP_CSU_DMAYSTEPH14						(0x273*4)
#define AP_CSU_DMAZSTEPL14						(0x274*4)
#define AP_CSU_DMAZSTEPH14						(0x275*4)
#define AP_CSU_DMAYNUMXNUM14					(0x276*4)
#define AP_CSU_DMASIZEGRANALLNUM14		(0x277*4)
                                      
#define AP_CSU_DMAADDRL15							(0x278*4)
#define AP_CSU_DMAADDRH15							(0x279*4)
#define AP_CSU_DMAYSTEPL15						(0x27A*4)
#define AP_CSU_DMAYSTEPH15						(0x27B*4)
#define AP_CSU_DMAZSTEPL15						(0x27C*4)
#define AP_CSU_DMAZSTEPH15						(0x27D*4)
#define AP_CSU_DMAYNUMXNUM15					(0x27E*4)
#define AP_CSU_DMASIZEGRANALLNUM15		(0x27F*4)



#endif
